org.omg.IOP

## Class TaggedComponent

- java.lang.Object
- - org.omg.IOP.TaggedComponent

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class TaggedComponent
    extends Object
    implements IDLEntity

org/omg/IOP/TaggedComponent.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-8lk9ya/openjdk-8-8u492-ga~us2/src/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Tuesday, April 28, 2026 11:02:50 PM UTC

### Field Summary

Fields
`byte[]` `component_data` The component data associated with the component id.
`int` `tag` The tag, represented as a component id.

### Constructor Summary

Constructors
Constructor and Description
`TaggedComponent()`
`TaggedComponent(int _tag, byte[] _component_data)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tag

    public int tag

The tag, represented as a component id.

#### component_data

    public byte[] component_data

The component data associated with the component id.

### Constructor Detail

#### TaggedComponent

    public TaggedComponent()

#### TaggedComponent

    public TaggedComponent(int _tag,
                           byte[] _component_data)